Skip to main content
POST
/
screening
/
transaction
/
{txId}
/
rescreen
TypeScript
const response: Promise<FireblocksResponse<RescreenTransactionResponse>> = fireblocks.compliance.rescreenRejectedTransaction(complianceApiRescreenRejectedTransactionRequest);
CompletableFuture<ApiResponse<RescreenTransactionResponse>> response = fireblocks.compliance().rescreenRejectedTransaction(txId, rescreenTransactionRequest, idempotencyKey);
response = fireblocks.compliance.rescreen_rejected_transaction(tx_id, rescreen_transaction_request, idempotency_key);
curl --request POST \
--url https://api.fireblocks.io/v1/screening/transaction/{txId}/rescreen \
--header 'Content-Type: application/json' \
--data '
{
"resetTravelRuleMessage": false
}
'
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({resetTravelRuleMessage: false})
};

fetch('https://api.fireblocks.io/v1/screening/transaction/{txId}/rescreen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"message": "<string>",
"code": 123
}

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

txId
string
required

The transaction id that was rejected by screening checks

Body

application/json
resetTravelRuleMessage
boolean
default:false

When true, clears the existing travel rule message on the transaction before rescreening.

Example:

false

Response

Rescreen result

success
boolean
required

Whether the rescreen was triggered successfully

Example:

true